Bug Hunting Session
Bug 63799 - FORMATTING: Distorted stencil on copy & Paste from Visio 2010
Summary: FORMATTING: Distorted stencil on copy & Paste from Visio 2010
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: filter:visio
Depends on:
Blocks: Paste-From-MSO Visio
  Show dependency treegraph
 
Reported: 2013-04-22 10:22 UTC by Malte S. Stretz
Modified: 2019-08-27 10:52 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (226.61 KB, image/png)
2013-04-22 10:22 UTC, Malte S. Stretz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Malte S. Stretz 2013-04-22 10:22:31 UTC
Created attachment 78325 [details]
Screenshot

Problem description: 

Steps to reproduce:
1. Open Visio 2010
2. Create a new Network Diagram
3. Add a server
4. Select the server stencil
5. Press Ctrl+C
6. Open Impress
7. Press Ctrl+V

Current behavior:

The pasted stecnil is distorted (cf. Screenshot).

Expected behavior:

It should look the same way it does in Visio.
Operating System: Windows 7
Version: 4.0.2.2 release
Comment 1 Malte S. Stretz 2013-04-22 10:26:39 UTC
This affects the other components as well (should have checked before I reported this bug).
Comment 2 A. Stucki 2013-05-06 09:03:45 UTC
The same behavior with LO4.0.0.3rc, Win7-64, Visio 2010, but pasting into *.odt (Writer).
2 cases:
a) "Paste"
- copy Visio drawing/ part of drawing
- paste (Ctrl V): Visio drawing is inserted, but disappears after (white frame remains): 
a1) changing the zoom factor (View/ Zoom...)
a2) save and reopen the *.odt file

b) "Paste Special)
- copy Visio drawing/ part of drawing
- copy special (ctrl shift V, "Visio Drawing"): Visio drawing is inserted but 
- size changes after 1..2 s to approx 60..70% (frame size remains)
- when saving the *.odt file and reopen: drawing size is OK (and can be printed perfectly)
- but after editing (¿by OLE?) in Visio by double-click size is again 60..70% in frame

Remarks:
- ¿related to Bug 59405?
- changed component to graphics stack
- We would be happy if the copy-paste insertion of Visio drawings would work like in LO 3.5.5.3
- did not work already in 3.6.0.4 (see Bug 59405)
Comment 3 A. Stucki 2013-05-06 09:08:36 UTC
Sorry, typo in the last comment, tested with 4.0.3.3rc
Comment 4 Winfried Donkers 2013-05-06 09:38:55 UTC
(In reply to comment #2)
> The same behavior with LO4.0.0.3rc, Win7-64, Visio 2010, but pasting into
> *.odt (Writer).
> 2 cases:
> a) "Paste"
> - copy Visio drawing/ part of drawing
> - paste (Ctrl V): Visio drawing is inserted, but disappears after (white
> frame remains): 
> a1) changing the zoom factor (View/ Zoom...)
> a2) save and reopen the *.odt file
> 
> b) "Paste Special)
> - copy Visio drawing/ part of drawing
> - copy special (ctrl shift V, "Visio Drawing"): Visio drawing is inserted
> but 
> - size changes after 1..2 s to approx 60..70% (frame size remains)
> - when saving the *.odt file and reopen: drawing size is OK (and can be
> printed perfectly)
> - but after editing (¿by OLE?) in Visio by double-click size is again
> 60..70% in frame
> 

I confirm behaviour of case a) with LO 4.0.3.3, Win7-32 and MS Visio 2007.
I cannot reproduce case b); before and after saving or editing the size remains OK (100% in frame).
Comment 5 QA Administrators 2015-12-20 16:14:34 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-01-03 19:48:56 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103